Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class InputTextAreaTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataTagBase
oracle.jbo.html.jsp.datatags.InputTagBase
oracle.jbo.html.jsp.datatags.InputTextAreaTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class InputTextAreaTag
extends InputTagBase

See Also:
  Serialized Form

Field Summary
`protected int` | `nRows`

Fields inherited from class oracle.jbo.html.jsp.datatags.InputTagBase
`htmlAttrs, nCols, nMaxLength, rndObj, sReadonly`

Fields inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`attrDef, attrList, binding, ds, modelReference, row, ROWKEY_PARAM, rowVariableName, sAttrName, sDataItem, sDataSource, sSubAttrName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputTextAreaTag()`

Method Summary
`int` | `doEndTag()`
`HTMLFieldRenderer` | `getFieldRenderer()`
`void` | `internalInitialize()`
`void` | `setRows(java.lang.String sRows)`

Methods inherited from class oracle.jbo.html.jsp.datatags.InputTagBase
`addHtmlAttribute, doStartTag, getStrutsFormName, getStrutsFormTag, initializeAttributeDef, initializeFieldRenderer, initializeRow, setCols, setMaxlength, setReadonly`

Methods inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`findAncestorWithClassForDataSource, getRowFromContext, initializeDataSource, initializeUsingModelReference, isUsingBindings, setDataitem, setDatasource, setModel`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nRows

    protected int nRows

Constructor Detail

### InputTextAreaTag

    public InputTextAreaTag()

Method Detail

### setRows

    public void setRows(java.lang.String sRows)
                 throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getFieldRenderer

    public HTMLFieldRenderer getFieldRenderer()

  Specified by:
    `getFieldRenderer` in class `InputTagBase`

### internalInitialize

    public void internalInitialize()

  Overrides:
    `internalInitialize` in class `InputTagBase`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `InputTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.